### php.java.bridge

# Class Util.Logger

- `java.lang.Object`

- `php.java.bridge.Util.Logger`

Enclosing Class:
  Util

`public static class Util.Logger`
`extends java.lang.Object`

A logger class.

## Method Summary

`void`

`log(java.lang.String s)`
  Log a message

`java.lang.String`

`now()`
  Create a String containing the current date/time.

`void`

`printStackTrace(java.lang.Throwable t)`
  Log a stack trace

### Methods inherited from class java.lang.Object

`equals`, `getClass`, `hashCode`, `notify`, `notifyAll`, `toString`, `wait`, `wait`, `wait`

## Method Details

### log

    public void log(java.lang.String s)

> Log a message

> Parameters:
>   `s` - The message

### now

    public java.lang.String now()

> Create a String containing the current date/time.

> Returns:
>   The date/time as a String

### printStackTrace

    public void printStackTrace(java.lang.Throwable t)

> Log a stack trace

> Parameters:
>   `t` - The Throwable